Apache2Triad Help, Support and Development Forum Index Search Profile Log in to check your private messages Log in Register Memberlist Attachments Statistics Crew/Ranks Archive
 MySQL update to version 4.1.16
Google
Post new topic Reply to topic
Author Message
Michael
 
 


Joined: 11 Dec 2005
Posts: 9

PostPosted: Sat Oct 14, 2006 4:06 pm Reply with quoteBack to top

Hi I am currently using apache 2 triad version 1.4.3 and am trying to install some software locally but appprently I need mysql version 4.1.16 for the software to run (the current version is only 4.0.25 on apache trias 1.4.3).

I'm wanting to know if there is any way of being easily able to update the MySql version current in use?

Thanks,
Michael
View user's profileSend private message
Joshua Meadows (DemoRic)
support
support


Joined: 29 Dec 2004
Posts: 783
Location: S.E. Kansas

PostPosted: Sat Oct 14, 2006 10:45 pm Reply with quoteBack to top

DON'T double post. Please respect the time of others.

Now for your question you can manually upgrade it following directions at.
http://apache2triad.net/forums/viewtopic.php?t=4805&highlight=upgrade+mysql

While I don't use the 1.4.x branch of A2T I have created some quick hacks for the 1.5.x branch using similar techniques, and have had lots of success.
View user's profileSend private messageYahoo MessengerICQ Number
Michael
 
 


Joined: 11 Dec 2005
Posts: 9

PostPosted: Sun Oct 15, 2006 11:14 am Reply with quoteBack to top

Ok Thanks Joshua I take it that the same technique can be applied to A2T version 1.4.3. Also incidentally, if I upgrade from A2T 1.4.3 to version 1.4.4 will it save everything that I currently have in the htdocs folder or will the new version start again from scratch?

Thanks,
Michael
View user's profileSend private message
Joshua Meadows (DemoRic)
support
support


Joined: 29 Dec 2004
Posts: 783
Location: S.E. Kansas

PostPosted: Sun Oct 15, 2006 2:00 pm Reply with quoteBack to top

if you uninstall it will delete everything.
There are a few backup / update methods
http://apache2triad.net/forums/viewtopic.php?t=876
http://apache2triad.net/forums/viewtopic.php?t=870

Personally I just delete the registry entry and install over my current install.
(note if you use this method you must stop all services BEFORE installing)
View user's profileSend private messageYahoo MessengerICQ Number
Michael
 
 


Joined: 11 Dec 2005
Posts: 9

PostPosted: Sun Oct 15, 2006 3:02 pm Reply with quoteBack to top

Right okay , from that response and a quick glance over the other posts I'm on the understanding that when you install the new version, it doesn't auto detect that a previous version is currently in use and therefore just to update the necessary files?

I've never actually performed anything substaitial with A2T like upgrade php or mysql etc or upgrade toa new version or edit the config files.

Thanks,
Michael
View user's profileSend private message
Display posts from previous:      
Post new topic Reply to topic


 Jump to:   



View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum
Powered by phpBB © 2001, 2002 phpBB Group :: FI Theme
All times are GMT